API Reference - GET /codelist/announcementclosingtypes
Page content
The AnnouncementClosingTypes endpoint returns a list of Announcement Closing Type values and the corresponding codes.
Resource
GET /api/codelist/announcementclosingtypes
Authorization
No authorization required
Query Parameters
| Name | Description |
|---|---|
| lastmodified | Only return items modified on or after the date supplied. This is an optional field. |
Response
JSON:
{
"CodeList": [{
"ValidValue": [{
"Code": "01",
"Value": "Closing Date",
"LastModified": "2016-02-20T00:57:08.007",
"IsDisabled": "No"
}],
"id": "AnnouncementClosingType"
}],
"DateGenerated": "2018-08-02T14:11:20.9282358-04:00"
}
| Name | Type | Description |
|---|---|---|
| Code | String | Announcement Closing Type code |
| Value | String | Announcement Closing Type value |
| LastModified | Date | Date value or code was last modified |
| IsDisabled | String | Has the Announcement Closing Type code been disabled. Values are Yes or No. |
| DateGenerated | Date | Date of request |
An official website of the United States Government